Pbm Profile Profile Manager Pbm Retrieve Content

Pbm Profile Profile Manager Pbm Retrieve Content
Returns one or more storage profiles.

Returns one or more storage profiles.

Required privileges: StorageProfile.View

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/pbm/PbmProfileProfileManager/{moId}/PbmRetrieveContent
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case PbmProfileProfileManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
PbmRetrieveContentRequestType of type(s) application/json
Required

Show optional properties

{
    "profileIds": [
        {
            "uniqueId": "string"
        }
    ]
}
{
    "profileIds": [
        {
            "_typeName": "string",
            "uniqueId": "string"
        }
    ]
}
array of object
profileIds
Required

Array of storage profile identifiers.

Authentication
This operation uses the following authentication methods.
Responses
200

Array of storage profiles.

[
    {
        "_typeName": "string",
        "profileId": {
            "_typeName": "string",
            "uniqueId": "string"
        },
        "name": "string",
        "description": "string",
        "creationTime": "string",
        "createdBy": "string",
        "lastUpdatedTime": "string",
        "lastUpdatedBy": "string"
    }
]
array of object
Optional

The PbmProfile data object is the base object for storage capability profiles.

This object defines metadata for the profile. The derived capability profile represents the user's intent for selection and configuration of storage resources and/or services that support deployment of virtual machines and virtual disks.

This structure may be used only with operations rendered under /pbm.


500

InvalidArgument: if the Server does not recognize any of the profileIds.

Returns InvalidArgument of type(s) application/json
This response body class contains all of the following: RuntimeFault
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ],
    "invalidProperty": "string"
}
string
invalidProperty
Optional

Optional name of the invalid property.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"profileIds":["object"]}' https://{api_host}/sdk/vim25/{release}/pbm/PbmProfileProfileManager/{moId}/PbmRetrieveContent